import keggapi.*;

public class Esercizio1 {
        
    public static void main(String[] args) throws Exception {
        // creazione di un oggetti KEGGLocator, che ci “localizza” il server KEGG
        KEGGLocator  locator = new KEGGLocator();
        // con il metodo getKEGGPort stabiliamo la connessione a KEGG
        KEGGPortType serv    = locator.getKEGGPort();
        // richiediamo la lista degli organismi presenti in KEGG
        Definition[] def = serv.list_organisms();
        // tramite un ciclo for stampiamo la lista degli organismi
        for (int i = 0; i < def.length; i++) {
                        // controlliamo se abbiamo trovato l'organismo ricercato
            if((def[i].getDefinition()).indexOf(args[0])!=-1)
                System.out.println("ID: "+def[i].getEntry_id()+" Descrizione: "+def[i].getDefinition());
        }
    }
}
